Imagick::optimizeImageLayers
Imagick::paintFloodfillImage
The Imagick class
PHP Manual

# Imagick::orderedPosterizeImage

(PECL imagick 2.2.2)

Imagick::orderedPosterizeImage — Performs an ordered dither

### Description

bool Imagick::orderedPosterizeImage ( string `$threshold_map` [, int `$channel` = Imagick::CHANNEL_ALL ] )

Performs an ordered dither based on a number of pre-defined dithering threshold maps, but over multiple intensity levels, which can be different for different channels, according to the input arguments. This method is available if Imagick has been compiled against ImageMagick version 6.3.1 or newer.

### Parameters

`threshold_map`

  A string containing the name of the threshold dither map to use

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::optimizeImageLayers
Imagick::paintFloodfillImage
The Imagick class
PHP Manual